
Redmine - Defect #10474

Gems version conflict in Redmine core and plugins

2012-03-18 01:12 - John Yani

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

Currently Redmine's Gemfile includes plugin Gemfiles.

This could be a problem if plugin's Gemfile contains a different version of gem.

See an example of a potential problem: https://github.com/backlogs/redmine_backlogs/issues/465

If Gemfile contain two gems, you'll get an error:

You cannot specify the same gem twice with different version requirements.

History

#1 - 2013-05-11 23:33 - Harry Garrood

This is by design. Redmine's Gemfile includes plugin Gemfiles because it's much better to ensure that there are no unsatisfiable requirements at load

time, than to not check and hope it will work. (The latter leads to hours wasted trying to debug the problems which arise)

You cannot specify the same gem twice with different version requirements.

 If this happens to you, you need to edit the plugin's Gemfile to relax the version constraint. Note that you don't need to have a version requirement;

you can put just gem 'foo' to tell Bundler that you don't care what version you're using.

This issue should probably be closed.

#2 - 2013-05-12 04:30 - Toshi MARUYAMA

- Category set to Plugin API

#3 - 2013-05-12 04:38 - Toshi MARUYAMA

- Subject changed from Gemfile and plugins to Gems version in Gemfile conflict in Redmine core and plugins

#4 - 2013-05-12 04:39 - Toshi MARUYAMA

- Subject changed from Gems version in Gemfile conflict in Redmine core and plugins to Gems version conflict in Redmine core and plugins

#5 - 2023-05-07 02:51 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

In a Ruby on Rails application, it is impossible to use two different versions of the same gem simultaneously.
